Bug 443316 - Fedora 9 version of Galeon crashes on almost every web page
Fedora 9 version of Galeon crashes on almost every web page
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 11:48 EDT by Jussi Eloranta
Modified: 2008-07-08 04:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 04:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
backtrace (8.00 KB, text/plain)
2008-05-26 15:18 EDT, Christopher Stone
no flags Details

  None (edit)
Description Jussi Eloranta 2008-04-20 11:48:02 EDT
Description of problem:

After upgrading to Fedora 9 beta, Galeon started crashing on almost every web
page. For example, cnn.com and fedoraforum.org and, of course, acidtest3 kills
it as well. When it crashed, I send in the online bug report. In the present
state this browser is quite unusable. It used to work just fine on Fedora 8.
(my system was upgraded from Fedora 8 to 9).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Denis Leroy 2008-04-20 13:38:25 EDT
WORKSFORME. Do you have flash installed by any chance ? Is that on i386 ?
Comment 2 Jussi Eloranta 2008-04-20 22:44:37 EDT
I had adobe flash installed - did rpm -e but this did not change the behavior.
(this is on i386). Is there any better way to get more info on this - like a
stack trace or something?

Here is what Galeon crash dump says - however, I don't think it contains too
much useful info.

Distribution: Fedora release 8.93 (Rawhide)
Gnome Release: 2.22.1 2008-04-08 (Red Hat, Inc)
BugBuddy Version: 2.22.0

System: Linux 2.6.25-1.fc9.i686 #1 SMP Thu Apr 17 01:47:10 EDT 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10499901
Selinux: No
Accessibility: Disabled
GTK+ Theme: Glossy
Icon Theme: gnome

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
b5d16000-b6c41000 r--p 00000000 08:01 6916615   
/usr/share/icons/hicolor/icon-theme.cache
b6c41000-b7376000 r--p 00000000 08:01 12582915  
/usr/share/icons/gnome/icon-theme.cache
b7376000-b7377000 ---p b7376000 00:00 0 
b7377000-b7d77000 rw-p b7377000 00:00 0 
b7d77000-b7f77000 r--p 00000000 08:01 9240579    /usr/lib/locale/locale-archive
b7f77000-b7f8e000 rw-p b7f77000 00:00 0 
b7f92000-b7f9b000 r--s 00000000 08:01 2755291   
/var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-x86.cache-2
b7f9b000-b7f9d000 r--s 00000000 08:01 2755288   
/var/cache/fontconfig/e3ead4b767b8819993a6fa3ae306afa9-x86.cache-2
b7f9d000-b7fa5000 r--s 00000000 08:01 2755300   
/var/cache/fontconfig/e19de935dec46bbf3ed114ee4965548a-x86.cache-2
b7fa5000-b7fa6000 r--s 00000000 08:01 8749222   
/home/eloranta/.fontconfig/72766af4e3a9176ae155e91ef6b24fad-x86.cache-2
b7fa6000-b7fa9000 r--s 00000000 08:01 2755294   
/var/cache/fontconfig/d04038e664b0033ae700a78c51f179d3-x86.cache-2
b7fa9000-b7fac000 r--s 00000000 08:01 2752924   
/var/cache/fontconfig/beeeeb3dfe132a8a0633a017c99ce0c0-x86.cache-2
b7fac000-b7fb3000 r--s 00000000 08:01 5800183    /usr/lib/gconv/gconv-modules.cache
b7fb3000-b7fb4000 rw-p b7fb3000 00:00 0 
bfb9e000-bfbb3000 rw-p bffeb000 00:00 0          [stack]
--------------------------------------------------
Comment 3 Bug Zapper 2008-05-14 05:47:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Christopher Stone 2008-05-25 12:32:19 EDT
I'm getting crashes too:
$ galeon 

** (galeon:5703): WARNING **: I could not load the bookmarks file, will load the
default bookmarks from /usr/share/galeon/default-bookmarks.xbel.

** (galeon:5703): CRITICAL **: radio_group_set_from_value: assertion `action !=
NULL' failed
GCJ PLUGIN: thread 0x270cb00: NP_GetMIMEDescription
GCJ PLUGIN: thread 0x270cb00: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0x270cb00: NP_GetValue
GCJ PLUGIN: thread 0x270cb00: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0x270cb00: NP_GetValue return
GCJ PLUGIN: thread 0x270cb00: NP_GetValue
GCJ PLUGIN: thread 0x270cb00: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x270cb00: NP_GetValue return
*** glibc detected *** galeon: free(): invalid pointer: 0x000000000368b000 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3e70a78158]
/lib64/libc.so.6(cfree+0x76)[0x3e70a7a796]
/usr/lib64/libxine.so.1[0x3e73e1740b]
/usr/lib64/libxine.so.1[0x3e73e17504]
/usr/lib64/libxine.so.1(_x_dispose_plugins+0x33)[0x3e73e175b3]
/usr/lib64/libxine.so.1(xine_exit+0x5b)[0x3e73e1001b]
/usr/lib64/mozilla/plugins/xineplugin.so(NPP_GetMIMEDescription+0x1c0)[0x7fa126692790]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78287df0]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7829f538]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78297e40]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78298293]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c782983da]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c782985ca]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7828ed4e]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7828ee9f]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78377a45]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7837d09a]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78410c52]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78411df6]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c783e473c]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c783e3e37]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78013d48]
/usr/lib64/xulrunner-1.9pre/libxul.so(NS_InvokeByIndex_P+0x280)[0x3c78421fd4]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77c4b4ef]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77c53c0b]
/usr/lib64/xulrunner-1.9pre/libmozjs.so(js_Invoke+0x733)[0x3e8164bf17]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x3e8163f258]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x3e8164b6c0]
/usr/lib64/xulrunner-1.9pre/libmozjs.so(JS_EvaluateUCScriptForPrincipals+0x57)[0x3e816182f8]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7800ace2]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77f08df4]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77f08f83]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77f090ce]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77f09132]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77c822d9]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77cd8919]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77c6ac37]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c77c6aec6]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7840259a]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78416a9e]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c783e838a]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c78360174]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x3c7834b128]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x23b)[0x3c6d03749b]
/lib64/libglib-2.0.so.0[0x3c6d03ac7d]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1cd)[0x3c6d03b1ad]
/usr/lib64/libbonobo-2.so.0(bonobo_main+0x46)[0x3c7542d276]
galeon(main+0x233)[0x439b73]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x3e70a1e32a]
galeon[0x438579]
======= Memory map: ========
00110000-0011b000 r-xp 00000000 fd:00 57016626                          
/lib64/libnss_files-2.8.so
0011b000-0031a000 ---p 0000b000 fd:00 57016626                          
/lib64/libnss_files-2.8.so
0031a000-0031b000 r--p 0000a000 fd:00 57016626                          
/lib64/libnss_files-2.8.so
0031b000-0031c000 rw-p 0000b000 fd:00 57016626                          
/lib64/libnss_files-2.8.so
00400000-00549000 r-xp 00000000 fd:00 54232438                          
/usr/bin/galeon
00748000-00753000 rw-p 00148000 fd:00 54232438                          
/usr/bin/galeon
00753000-00754000 rw-p 00753000 00:00 0 
00754000-00756000 r-xp 00000000 fd:00 54330286                          
/usr/lib64/gconv/UTF-16.so
00756000-00956000 ---p 00002000 fd:00 54330286                          
/usr/lib64/gconv/UTF-16.so
00956000-00957000 r--p 00002000 fd:00 54330286                          
/usr/lib64/gconv/UTF-16.so
00957000-00958000 rw-p 00003000 fd:00 54330286                          
/usr/lib64/gconv/UTF-16.so
00958000-00961000 r-xp 00000000 fd:00 55018970                          
/usr/lib64/xulrunner-1.9pre/components/libdbusservice.so
00961000-00b60000 ---p 00009000 fd:00 55018970                          
/usr/lib64/xulrunner-1.9pre/components/libdbusservice.so
00b60000-00b61000 rw-p 00008000 fd:00 55018970                          
/usr/lib64/xulrunner-1.9pre/components/libdbusservice.so
00b61000-00b6f000 r-xp 00000000 fd:00 55018971                          
/usr/lib64/xulrunner-1.9pre/components/libimgicon.so
00b6f000-00d6e000 ---p 0000e000 fd:00 55018971                          
/usr/lib64/xulrunner-1.9pre/components/libimgicon.so
00d6e000-00d70000 rw-p 0000d000 fd:00 55018971                          
/usr/lib64/xulrunner-1.9pre/components/libimgicon.so
00d70000-00d7b000 r-xp 00000000 fd:00 55018973                          
/usr/lib64/xulrunner-1.9pre/components/libnkgnomevfs.so
00d7b000-00f7b000 ---p 0000b000 fd:00 55018973                          
/usr/lib64/xulrunner-1.9pre/components/libnkgnomevfs.so
00f7b000-00f7c000 rw-p 0000b000 fd:00 55018973                          
/usr/lib64/xulrunner-1.9pre/components/libnkgnomevfs.so
00f7c000-00f87000 r-xp 00000000 fd:00 55018972                          
/usr/lib64/xulrunner-1.9pre/components/libmozgnome.so
00f87000-01187000 ---p 0000b000 fd:00 55018972                          
/usr/lib64/xulrunner-1.9pre/components/libmozgnome.so
01187000-01188000 rw-p 0000b000 fd:00 55018972                          
/usr/lib64/xulrunner-1.9pre/components/libmozgnome.so
01188000-011c1000 r-xp 00000000 fd:00 57016674                          
/lib64/libsoftokn3.so
011c1000-013c0000 ---p 00039000 fd:00 57016674                          
/lib64/libsoftokn3.so
013c0000-013c2000 rw-p 00038000 fd:00 57016674                          
/lib64/libsoftokn3.so
013c2000-01414000 r-xp 00000000 fd:00 57016664                          
/lib64/libfreebl3.so
01414000-01614000 ---p 00052000 fd:00 57016664                          
/lib64/libfreebl3.so
01614000-01615000 rw-p 00052000 fd:00 57016664                          
/lib64/libfreebl3.so
0164b000-0166b000 r-xp 00000000 fd:00 54756208                          
/usr/lib64/gnome-vfs-2.0/modules/libhttp.so
0166b000-0186a000 ---p 00020000 fd:00 54756208                          
/usr/lib64/gnome-vfs-2.0/modules/libhttp.so
0186a000-0186c000 rw-p 0001f000 fd:00 54756208                          
/usr/lib64/gnome-vfs-2.0/modules/libhttp.so
0186c000-018c0000 r-xp 00000000 fd:00 57016666                          
/lib64/libnssckbi.so
018c0000-01ac0000 ---p 00054000 fd:00 57016666                          
/lib64/libnssckbi.so
01ac0000-01ad3000 rw-p 00054000 fd:00 57016666                          
/lib64/libnssckbi.so
01ad3000-01ae2000 r-xp 00000000 fd:00 57016430                          
/lib64/libbz2.so.1.0.4
01ae2000-01ce1000 ---p 0000f000 fd:00 57016430                          
/lib64/libbz2.so.1.0.4
01ce1000-01ce3000 rw-p 0000e000 fd:00 57016430                          
/lib64/libbz2.so.1.0.4
01ce3000-01cf1000 r-xp 00000000 fd:00 54755850                          
/usr/lib64/gnome-vfs-2.0/modules/libfile.so
01cf1000-01ef0000 ---p 0000e000 fd:00 54755850                          
/usr/lib64/gnome-vfs-2.0/modules/libfile.so
01ef0000-01ef1000 rw-p 0000d000 fd:00 54755850                          
/usr/lib64/gnome-vfs-2.0/modules/libfile.so
01ef1000-01ef5000 r-xp 00000000 fd:00 57016389                          
/lib64/libattr.so.1.1.0
01ef5000-020f4000 ---p 00004000 fd:00 57016389                          
/lib64/libattr.so.1.1.0
020f4000-020f5000 rw-p 00003000 fd:00 57016389                          
/lib64/libattr.so.1.1.0
020f5000-020fd000 r-xp 00000000 fd:00 54246792                          
/usr/lib64/libfam.so.0.0.0
020fd000-022fc000 ---p 00008000 fd:00 54246792                          
/usr/lib64/libfam.so.0.0.0
022fc000-022fd000 rw-p 00007000 fd:00 54246792                          
/usr/lib64/libfam.so.0.0.0
022fd000-02301000 r-xp 00000000 fd:00 54494174                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
02301000-02501000 ---p 00004000 fd:00 54494174                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
02501000-02502000 rw-p 00004000 fd:00 54494174                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
0261f000-03921000 rw-p 0261f000 00:00 0                                  [heap]
04976000-0497d000 r-xp 00000000 fd:00 54494172                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
0497d000-04b7d000 ---p 00007000 fd:00 54494172                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
04b7d000-04b7e000 rw-p 00007000 fd:00 54494172                          
/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
050d6000-050da000 r-xp 00000000 fd:00 57016624                          
/lib64/libnss_dns-2.8.so
050da000-052da000 ---p 00004000 fd:00 57016624                          
/lib64/libnss_dns-2.8.so
052da000-052db000 r--p 00004000 fd:00 57016624                   Aborted
Comment 5 Jan "Yenya" Kasprzak 2008-05-26 08:26:37 EDT
Do you have an i386 or x86_64 system? Freshly installed or upgraded?

I am seeing the same problems (frequent crashes) on my Pentium-M laptop,
upgraded from F8 via preupgrade. But on this laptop, all gecko-based browser
started to crash (galeon as well as epiphany and firefox). A sample page which
causes Galeon to crash every time is http://www.fosh.cz/.

My other box is a x86_64, upgraded from F8 using the F9 installation DVD,
and there galeon works without crashing.

I will probably try a fresh install of that i386 laptop or a i386 virtual machine.
Comment 6 Jan "Yenya" Kasprzak 2008-05-26 10:15:49 EDT
OK, on a freshly installed and "yum update"d F9/i386 KVM-based virtual machine,
Galeon does not crash.
Comment 7 Christopher Stone 2008-05-26 10:44:17 EDT
Hi, I did an upgrade using preupgrade on this machine.
Comment 8 Jussi Eloranta 2008-05-26 12:15:33 EDT
I also did an upgrade using the pre release of Fedora 9 + yum update to the
official release. So it seems that the prerelease upgrade did something wrong?
(mine was on i386)
Comment 9 Christopher Stone 2008-05-26 15:18:15 EDT
Created attachment 306704 [details]
backtrace

Here is the backtrace, any ideas?  BTW this is on an x86_64 system.
Comment 10 Christopher Stone 2008-05-26 15:26:09 EDT
Ah! yum remove xine-plugin fixes the problem for me.  Do you guys have
xine-plugin installed?
Comment 11 Jussi Eloranta 2008-05-26 15:51:57 EDT
I confirm that removing xine-plugin solves the problem for me as well.
So wonder what's up with xine-plugin?
Comment 12 Jan "Yenya" Kasprzak 2008-05-27 01:46:39 EDT
I have no xine-plugin here. However, thanks for the idea with plugins.
After cat /proc/pid-of-galeon/maps I have found that
rpm -e mozilla-j2re-1.4.2-11.1.fc3.rf.i586
fixes the problem for me.
Comment 13 Denis Leroy 2008-07-08 04:06:04 EDT
Closing, we have several other bugs opened on galeon already to track down the
various xulrunner related issues.

Note You need to log in before you can comment on or make changes to this bug.